/*
 * Copyright (c) 2017-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.snooker.api;

/**
 * Seedings Entity (set of {@link Seeding}) API Interface.
 *
 * @author Dmitry Samoshin aka gotty
 */
public interface Seedings extends CollectionEntity<Seeding> {

    Seedings byEvent(int eventId);
    Seeding byPlayer(int playerId);
    Seeding bySeeding(int seedingNum);

    void sortByEvent();
    void sortByPlayer();
    void sortBySeeding();

}
