/*
 * Copyright (c) 2017-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.snooker.cache.assign;

import org.hedgecode.snooker.api.Seeding;
import org.hedgecode.snooker.api.Seedings;

/**
 * Assigner for Collections of Entities {@link Seeding}.
 *
 * @author Dmitry Samoshin aka gotty
 */
public class SeedingsAssigner
        extends CacheCollectionAssigner<Seeding, Seedings, SeedingAssigner>
{
    private static SeedingsAssigner _instance;

    private SeedingsAssigner() {
        super(
                SeedingAssigner.getInstance()
        );
    }

    public static SeedingsAssigner getInstance() {
        if (_instance == null)
            _instance = new SeedingsAssigner();
        return _instance;
    }

}
