/*
 * Copyright (c) 2017-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.snooker.json;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.JUnit4;

/**
 * Tests for {@link JsonRound}.
 *
 * @author Dmitry Samoshin aka gotty
 */
@RunWith(JUnit4.class)
public class JsonRoundTest extends AbstractJsonTest {

    @Test
    public void testRound() throws Exception {
        JsonRound[] jsonRounds = GSON.fromJson(
                JsonStringToken.token(
                        jsonFromFile()
                ),
                JsonRound[].class
        );
        //serialize(jsonRounds[0]);
        JsonRound expectedRound = (JsonRound) deserialize();
        assertNull(
                expectedRound,
                jsonRounds
        );
        JsonRound actualRound = jsonRounds[0];
        assertEquals(
                expectedRound,
                actualRound
        );
    }

    public static void assertEquals(JsonRound expected, JsonRound actual) {
        assertEquals(expected.round(), actual.round());
        assertEquals(expected.roundName(), actual.roundName());
        assertEquals(expected.eventId(), actual.eventId());
        assertEquals(expected.mainEventId(), actual.mainEventId());
        assertEquals(expected.distance(), actual.distance());
        assertEquals(expected.numLeft(), actual.numLeft());
        assertEquals(expected.numMatches(), actual.numMatches());
        assertEquals(expected.note(), actual.note());
        assertEquals(expected.valueType(), actual.valueType());
        assertEquals(expected.rank(), actual.rank());
        assertEquals(expected.money(), actual.money());
        assertEquals(expected.seedGetsHalf(), actual.seedGetsHalf());
        assertEquals(expected.actualMoney(), actual.actualMoney());
        assertEquals(expected.currency(), actual.currency());
        assertEquals(expected.conversionRate(), actual.conversionRate());
        assertEquals(expected.points(), actual.points());
        assertEquals(expected.seedPoints(), actual.seedPoints());
    }

}
